Microsoft Fixes Critical 19-Year-Old SChannel Bug, But No Patch For XP provided by Mark Bohannon

Microsoft Fixes Critical 19-Year-Old SChannel Bug, But No Patch For XP provided by Mark Bohannon

Originally posted on http://www.darkreading.com.  No patch for unsupported XP, even though some say the “Winshock” bug in Windows’ SSL/TLS installation is worse than Heartbleed.

Microsoft has patched a critical 19-year-old data manipulation vulnerability that’s been lurking in every version of Windows — both server and client operating systems — since Windows 95 (MS14-066). Windows has not released a patch for the now unsupported Windows XP.

This critical bug in Windows SChannel, Microsoft’s implementation of SSL/TLS, is remotely executable and could be used to run malicious code on vulnerable systems by sending specially crafted packets to a Windows server. It has been rated a 9.3 on the CVSS scale. The vulnerability, called “Winshock” by some, is next on the list of bugs exposing SSL/TLS installations — like OpenSSL’s Heartbleed (for which Microsoft did release an XP patch after support officially ended) and the vulnerability in Apple Secure Transport released in the spring.

“Is WinShock as bad as ShellShock and Heartbleed?” asks Gavin Millard, EMEA technical director at Tenable Network Security. “At the moment, due to the lack of details and proof of concept code it’s hard to say, but a remote code execution vulnerability affecting all versions of Windows server on a common component like SChannel is up there with the worst of them.”

So far, no exploits of Winshock have been reported in the wild.

Winshock was discovered and privately disclosed by researchers at IBM X-Force in May. As Robert Freeman, manager of IBM X-Force Research, explained in a blog post:

This complex vulnerability is a rare, “unicorn-like” bug found in code that

      [Internet Explorer]

relies on but doesn’t necessarily belong to. The bug can be used by an attacker for drive-by attacks to reliably run code remotely and take over the user’s machine — even sidestepping the Enhanced Protected Mode (EPM) sandbox in IE 11 as well as the highly regarded Enhanced Mitigation Experience Toolkit (EMET) anti-exploitation tool Microsoft offers for free.

Freeman acknowledges that exploitation is “tricky.” He describes how the vulnerability, which originates in “some very old code within the OleAut32 library,” can be exploited remotely via the Visual Basic Script present in all versions of Internet Explorer since IE 3.0.

This bug is significant, he says, because it shows that critical vulnerabilities can be overlooked for nearly 20 years. “It indicates that there may be other bugs still to be discovered that relate more to arbitrary data manipulation than more conventional vulnerabilities such as buffer overflows and use-after-free issues.”

Bromium Labs security researcher Jared DeMott tells us:

One of the interesting bits in this story is that Microsoft is not really saying exactly how bad this bug is for the client. The vulnerability bulletin provided calls out servers as the potential victims, but the SSL/TLS stack is used every time your browser connects to a secure website, which most are these days. And it would be straightforward for an attacker with details of this vulnerability to host a malicious site that offers “security” via the bogus SSL/TLS packets. Could a malicious website exploit IE with this bug? Until someone reverse engineers the patch, we’ll have to wait to hear about how bad it is.

Millard says that “no proof of concept code has surfaced yet, due to Microsoft thankfully being tightlipped on the exact details of the vulnerability.” Nevertheless, “it won’t be long until one does which could be disastrous for any admin that hasn’t updated. It is of critical importance that all versions of Windows are updated due to the ability of attackers to execute code on the server remotely, allowing them to gain privileged access to the network and lead to further exploitation such as infect hosts with malware or rootkits and the exfiltration of sensitive data.”

Joe Barrett, senior security consultant of Foreground Security says that Winshock “will most likely be the first true ‘forever-day’ vulnerability for Windows NT, Windows 2000, and Windows XP. As Microsoft has ceased all support and publicly stated they will no longer release security patches, enterprises who still have Windows 2000 and Windows XP machines will find themselves in the uncomfortable situation of having an exploitable-but-unpatchable system on their network. Security researchers and blackhats alike are most likely racing to get the first workable exploit against this vulnerability, and the bad guys will begin immediately using it to compromise as much as they can. As a result, enterprises need to immediately deploy the patch to every system they can and also begin isolating and removing the unpatchable systems to prevent serious compromise of their networks.”

Sara Peters is Senior Editor at Dark Reading and formerly the editor-in-chief of Enterprise Efficiency. Prior that she was senior editor for the Computer Security Institute, writing and speaking about virtualization, identity management, cybersecurity law, and a myriad … View Full Bio

Written by Yolanda Guerra


Website: